<?php
/**
 * Ajax request handler
 *
 * @package MPP_Vimeo_Integration
 * @subpackage Handler
 */

namespace MPP_Vimeo_Integration\Handlers;

// Exit if file accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Ajax_Request_Handler
 */
class Ajax_Request_Handler {

	/**
	 * Boot itself
	 */
	public static function boot() {
		$self = new self();
		$self->setup();
	}

	/**
	 * Setup
	 */
	private function setup() {
		add_action( 'wp_ajax_wp_skeleton_ajax_callback', array( $this, 'callback' ) );
	}

	/**
	 * Add circle
	 */
	public function callback() {
		check_ajax_referer( 'wp_skeleton_action', 'nonce', true );
	}
}